Loading...
Searching...
No Matches
patty.h File Reference
`#include <openbabel/parsmart.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | patty

## Namespaces

namespace | OpenBabel

## Macros

#define | PT_CATION 1
#define | PT_ANION 2
#define | PT_ACCEPTOR 3
#define | PT_POLAR 4
#define | PT_DONOR 5
#define | PT_HYDROPHOBIC 6
#define | PT_OTHER 7
#define | PT_METAL 8

## Detailed Description

Programmable atom typer. (abbreviated P.At.Ty.).

## Macro Definition Documentation

## PT_CATION

#define PT_CATION 1

Referenced by patty::type_to_int().

## PT_ANION

#define PT_ANION 2

Referenced by patty::type_to_int().

## PT_ACCEPTOR

#define PT_ACCEPTOR 3

Referenced by patty::type_to_int().

## PT_POLAR

#define PT_POLAR 4

Referenced by patty::type_to_int().

## PT_DONOR

#define PT_DONOR 5

Referenced by patty::type_to_int().

## PT_HYDROPHOBIC

#define PT_HYDROPHOBIC 6

Referenced by patty::type_to_int().

## PT_OTHER

#define PT_OTHER 7

Referenced by patty::type_to_int().

## PT_METAL

#define PT_METAL 8

Referenced by patty::type_to_int().